@use "../../globals.scss";
@use "../../icons.scss";

@use "./common.scss";

.simple-table {
  position: relative;

  display: grid;
  grid-template-areas: "table" "footer" "trailing";
  grid-template-rows: auto max-content 1fr;
  overflow: hidden;

  & > .table {
    grid-area: table;
    overflow: auto;
    border: 1px solid var(--border-secondary-color);
    border-radius: var(--border-radius);
  }
  & > .table > .header {
    @include common.header;
  }
  & > .table > .body {
    @include common.body;
  }
  & > .footer {
    grid-area: footer;
    align-self: start;
    max-width: 100%;
    display: grid;

    padding: 0.2em 0.5em;
    gap: 0.5em;
    align-items: center;
    
    & > .label_page_info {
      grid-area: page_info;
    }
  }

  &.compact > .footer {
    grid-template-areas:
      "pages pages pages"
      "page_info slicer slicer_info"
    ;
    grid-template-columns: 1fr max-content max-content;
     & > .label_page_info {
       justify-self: start;
     }
  }
  &:not(.compact) > .footer {
    grid-template-areas: "page_info pages slicer slicer_info";
    grid-template-columns: max-content 1fr max-content max-content;
  }

  &.single_page > .footer {
    & > .page_navigator, & > .page_slicer, & > .label_page_slicer {
      display: none;
    }
  }

  &.empty > .footer {
    display: none;
  }
}
